Will SonicDICOM PACS work with my computer?

Will SonicDICOM PACS work with my computer?

A server PC needs Windows OS which can operate Microsoft .NET Framework 4.6.1. to install SonicDICOM PACS.

  • Windows 10
  • Windows 8.1
  • Windows 8
  • Windows 7 SP1
  • Windows Server 2012 R2
  • Windows Server 2012
  • Windows Server 2008 R2 SP1

HTML5-Based DICOM Viewer of SonicDICOM PACS needs only a modern browser such as Google Chrome、Mozilla Firefox、Microsoft Edge and others.
If there is an environment which can use web browser, you can access the DICOM Viewer from anywhere in the network.
A web browser does not need other software or not need to install additional plug-in at all.